petsc-3.4.2 2013-07-02

# MATSOLVERMUMPS

A matrix type providing direct solvers (LU and Cholesky) for distributed and sequential matrices via the external package MUMPS. Works with MATAIJ and MATSBAIJ matrices

### Options Database Keys

| -mat_mumps_icntl_4 <0,...,4> | - print level
| -mat_mumps_icntl_6 <0,...,7> | - matrix prescaling options (see MUMPS User's Guide)
| -mat_mumps_icntl_7 <0,...,7> | - matrix orderings (see MUMPS User's Guidec)
| -mat_mumps_icntl_9 <1,2> | - A or A^T x=b to be solved: 1 denotes A, 2 denotes A^T
| -mat_mumps_icntl_10 <n> | - maximum number of iterative refinements
| -mat_mumps_icntl_11 <n> | - error analysis, a positive value returns statistics during -ksp_view
| -mat_mumps_icntl_12 <n> | - efficiency control (see MUMPS User's Guide)
| -mat_mumps_icntl_13 <n> | - efficiency control (see MUMPS User's Guide)
| -mat_mumps_icntl_14 <n> | - efficiency control (see MUMPS User's Guide)
| -mat_mumps_icntl_15 <n> | - efficiency control (see MUMPS User's Guide)
| -mat_mumps_cntl_1 <delta> | - relative pivoting threshold
| -mat_mumps_cntl_2 <tol> | - stopping criterion for refinement
| -mat_mumps_cntl_3 <adelta> | - absolute pivoting threshold

### See Also

PCFactorSetMatSolverPackage(), MatSolverPackage

Level:beginner
Location:src/mat/impls/aij/mpi/mumps/mumps.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex52.c.html
src/ksp/ksp/examples/tutorials/ex53.c.html